#!/bin/sh
#	This is meant to look somewhat like the linux free command.
#	Simon Burge <simonb@wasabisystems.com>

/tmp/vmstat/vmstat -s | awk '
/ bytes per page$/ { bpp = $1 }
/ pages managed$/ { totalmem = $1 }
/ pages free$/ { free = $1 }
/ vnode page cache pages$/ { vbuffer = $1 }
/ swap pages$/ { totalswap = $1 }
/ swap pages in use$/ { swapused = $1 }
END {
	printf("%18s %10s %10s %10s\n", "total", "used", "free", "buffers");

	printf("Mem:    %10d %10d %10d %10d\n", totalmem * bpp / 1024,
	    (totalmem - free) * bpp / 1024, free * bpp / 1024,
	    vbuffer * bpp / 1024);
	
	printf("Swap:   %10d %10d %10d\n", totalswap * bpp / 1024,
	    swapused * bpp / 1024, (totalswap - swapused) * bpp / 1024);
}'
